#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		VER		7.1.1
%define		PATCHLEVEL	23
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	ImageMagick
Version		:	%{VER}.%{PATCHLEVEL}
Release		:	17.0.10.rel%{?dist}
Summary		:	X.Org X11 X server
Group		:	User Interface/X

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.imagemagick.org/download/releases

Source0		:	%{name}-%{VER}-%{PATCHLEVEL}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	libgs-devel

Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
%{name} is a software suite to create, edit, compose, or convertt
bitmap images. It can read and write images in a variety of formats (over
200) including PNG, JPEG, GIF, HEIC, TIFF, DPX, EXR, WebP, Postscript,
PDF, and SVG. Use ImageMagick to resize, flip, mirror, rotate, distort,
shear and transform images, adjust image colors, apply various special
effects, or draw text, lines, polygons, ellipses and Bézier curves. 
  
The functionality of ImageMagick is typically utilized from the command
line or you can use the features from programs written in your favorite
language. Choose from these interfaces: G2F (Ada), MagickCore (C),
MagickWand (C), ChMagick (Ch), ImageMagickObject (COM+), Magick++ (C++),
JMagick (Java), L-Magick (Lisp), Lua, NMagick (Neko/haXe), Magick.NET
(.NET), PascalMagick (Pascal), PerlMagick (Perl), MagickWand for PHP
(PHP), IMagick (PHP), PythonMagick (Python), RMagick (Ruby), or TclMagick
(Tcl/TK). With a language interface, use ImageMagick to modify or create
images dynamically and automagically.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS.txt NEWS.txt README.txt
%license LICENSE
%{_sysconfdir}/%{name}-7/*.xml
%{_bindir}/[a-z]*
%{_libdir}/%{name}-%{VER}/modules-Q16HDRI/coders/*.so
%{_libdir}/%{name}-%{VER}/modules-Q16HDRI/coders/*.la
%{_libdir}/%{name}-%{VER}/modules-Q16HDRI/filters/*.so
%{_libdir}/%{name}-%{VER}/modules-Q16HDRI/filters/*.la
%{_libdir}/%{name}-%{VER}/config-Q16HDRI/configure.xml
%{_libdir}/libMagic*.so.*
%{_datadir}/%{name}-7/*.xml
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/[a-z]*.1.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#=============================================================================
%package		devel
Summary		:	Library links and header files for ImageMagick app development

#-----------------------------------------------------------------------------
Requires	:	%{name}		= :%{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
ImageMagick-devel contains the library links and header files you'll
need to develop ImageMagick applications. ImageMagick is an image
manipulation program.
 
If you want to create applications that will use ImageMagick code or
APIs, you need to install ImageMagick-devel as well as ImageMagick.
You do not need to install it if you just want to use ImageMagick,
however.
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_bindir}/Magick++-config
%{_bindir}/MagickCore-config
%{_bindir}/MagickWand-config
%{_includedir}/%{name}-7/*/*.h
%{_includedir}/%{name}-7/*.h
%{_libdir}/libMagick++*.so
%{_libdir}/libMagickCore*.so
%{_libdir}/libMagickWand*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/Magick++-config.1.gz
%{_mandir}/man1/MagickCore-config.1.gz
%{_mandir}/man1/MagickWand-config.1.gz
 
#=============================================================================
%package		doc
Summary		:	ImageMagick html documentation

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
ImageMagick documentation, this package contains usage (for
the commandline tools) and API (for the libraries) documentation
in html format.  Note this documentation can also be found on
the ImageMagick website:
http://www.imagemagick.org/

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_defaultdocdir}/%{name}-%{version}/LICENSE
%{_defaultdocdir}/%{name}-%{version}/www/*
%{_defaultdocdir}/%{name}-%{version}/images/*.{png,pnm,jpg,gif,ico}
%{_defaultdocdir}/%{name}-%{version}/images/patterns/*.png
%{_defaultdocdir}/%{name}-%{version}/images/bitcoin.svg
%{_defaultdocdir}/%{name}-%{version}/images/logo.eps
%{_defaultdocdir}/%{name}-%{version}/index.html
  
 
#=============================================================================
%package		perl
Summary		:	ImageMagick perl bindings

#-----------------------------------------------------------------------------
Requires	:	%{name}		= :%{version}-%{release}
Requires	:	perl

#-----------------------------------------------------------------------------
%description		perl
Perl bindings to ImageMagick.
 
Install ImageMagick-perl if you want to use any perl scripts
that use ImageMagick.

#-----------------------------------------------------------------------------
%files			perl
%defattr(-,root,root,-)
%doc PerlMagick/demo/ PerlMagick/Changelog PerlMagick/README.txt
%{_mandir}/man3/Image::Magick*.3.gz
%{_libdir}/perl5/%{perlvers}/core_perl/*
%{_libdir}/perl5/%{perlvers}/site_perl/*
  
#=============================================================================
%prep
%setup -q -n %{name}-%{VER}-%{PATCHLEVEL}

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-hdri					\
	--with-gslib					\
	--with-gvc					\
	--with-jpeg					\
	--with-modules 					\
	--with-png					\
	--with-perl					\
	--with-rsvg					\
	--with-raw					\
	--with-X					\
	--with-xml					\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}							\
	DESTDIR="%{buildroot}"					\
	DOCUMENTATION_PATH=%{_defaultdocdir}/%{name}-%{version}	\
	install

# fix weird perl permissions
%{__chmod} -R +w %{buildroot}%{_libdir}/perl5/%{perlvers}/site_perl/*

# perlmagick: cleanup various perl tempfiles from the build which get installed
find %{buildroot} -name "*.bs" | xargs rm -f
find %{buildroot} -name ".packlist" | xargs rm -f
find %{buildroot}{_libdir}/perl5/%{perlvers}/core_perl		\
	 -name "perllocal.pod" | xargs rm -f


# Delete *ONLY* _libdir/*.la files! .la files used internally to handle plugins
rm %{buildroot}%{_libdir}/*.la

#-----------------------------------------------------------------------------
%changelog
